// Type definitions for @dyna-grid/core v1.1.0
// Project: 
// Definitions by: zhangkun <>
import { Component } from "./component";
import { IPopupComponent } from "../interfaces/iPopupComponent";
export declare class PopupComponent extends Component implements IPopupComponent<any> {
    isPopup(): boolean;
    setParentComponent(container: Component): void;
    destroy(): void;
}
